<?php
$tdatacat_municipio = array();
$tdatacat_municipio[".searchableFields"] = array();
$tdatacat_municipio[".ShortName"] = "cat_municipio";
$tdatacat_municipio[".OwnerID"] = "";
$tdatacat_municipio[".OriginalTable"] = "cat_municipio";


$tdatacat_municipio[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatacat_municipio[".originalPagesByType"] = $tdatacat_municipio[".pagesByType"];
$tdatacat_municipio[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatacat_municipio[".originalPages"] = $tdatacat_municipio[".pages"];
$tdatacat_municipio[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdatacat_municipio[".originalDefaultPages"] = $tdatacat_municipio[".defaultPages"];

//	field labels
$fieldLabelscat_municipio = array();
$fieldToolTipscat_municipio = array();
$pageTitlescat_municipio = array();
$placeHolderscat_municipio = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_municipio["Spanish"] = array();
	$fieldToolTipscat_municipio["Spanish"] = array();
	$placeHolderscat_municipio["Spanish"] = array();
	$pageTitlescat_municipio["Spanish"] = array();
	$fieldLabelscat_municipio["Spanish"]["id"] = "Id";
	$fieldToolTipscat_municipio["Spanish"]["id"] = "";
	$placeHolderscat_municipio["Spanish"]["id"] = "";
	$fieldLabelscat_municipio["Spanish"]["municipio"] = "Municipio";
	$fieldToolTipscat_municipio["Spanish"]["municipio"] = "";
	$placeHolderscat_municipio["Spanish"]["municipio"] = "";
	if (count($fieldToolTipscat_municipio["Spanish"]))
		$tdatacat_municipio[".isUseToolTips"] = true;
}


	$tdatacat_municipio[".NCSearch"] = true;



$tdatacat_municipio[".shortTableName"] = "cat_municipio";
$tdatacat_municipio[".nSecOptions"] = 0;

$tdatacat_municipio[".mainTableOwnerID"] = "";
$tdatacat_municipio[".entityType"] = 0;
$tdatacat_municipio[".connId"] = "p2024db_at_localhost";


$tdatacat_municipio[".strOriginalTableName"] = "cat_municipio";

	



$tdatacat_municipio[".showAddInPopup"] = false;

$tdatacat_municipio[".showEditInPopup"] = false;

$tdatacat_municipio[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_municipio[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_municipio[".listAjax"] = false;
//	temporary
$tdatacat_municipio[".listAjax"] = false;

	$tdatacat_municipio[".audit"] = false;

	$tdatacat_municipio[".locking"] = false;


$pages = $tdatacat_municipio[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_municipio[".edit"] = true;
	$tdatacat_municipio[".afterEditAction"] = 1;
	$tdatacat_municipio[".closePopupAfterEdit"] = 1;
	$tdatacat_municipio[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_municipio[".add"] = true;
$tdatacat_municipio[".afterAddAction"] = 1;
$tdatacat_municipio[".closePopupAfterAdd"] = 1;
$tdatacat_municipio[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_municipio[".list"] = true;
}



$tdatacat_municipio[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_municipio[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_municipio[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_municipio[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_municipio[".printFriendly"] = true;
}



$tdatacat_municipio[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_municipio[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_municipio[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_municipio[".isUseAjaxSuggest"] = true;

$tdatacat_municipio[".rowHighlite"] = true;





$tdatacat_municipio[".ajaxCodeSnippetAdded"] = false;

$tdatacat_municipio[".buttonsAdded"] = false;

$tdatacat_municipio[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_municipio[".isUseTimeForSearch"] = false;


$tdatacat_municipio[".badgeColor"] = "4169E1";


$tdatacat_municipio[".allSearchFields"] = array();
$tdatacat_municipio[".filterFields"] = array();
$tdatacat_municipio[".requiredSearchFields"] = array();

$tdatacat_municipio[".googleLikeFields"] = array();
$tdatacat_municipio[".googleLikeFields"][] = "id";
$tdatacat_municipio[".googleLikeFields"][] = "municipio";



$tdatacat_municipio[".tableType"] = "list";

$tdatacat_municipio[".printerPageOrientation"] = 0;
$tdatacat_municipio[".nPrinterPageScale"] = 100;

$tdatacat_municipio[".nPrinterSplitRecords"] = 40;

$tdatacat_municipio[".geocodingEnabled"] = false;










$tdatacat_municipio[".pageSize"] = 20;

$tdatacat_municipio[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_municipio[".strOrderBy"] = $tstrOrderBy;

$tdatacat_municipio[".orderindexes"] = array();


$tdatacat_municipio[".sqlHead"] = "SELECT id,  	municipio";
$tdatacat_municipio[".sqlFrom"] = "FROM cat_municipio";
$tdatacat_municipio[".sqlWhereExpr"] = "";
$tdatacat_municipio[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_municipio[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_municipio[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_municipio[".highlightSearchResults"] = true;

$tableKeyscat_municipio = array();
$tableKeyscat_municipio[] = "id";
$tableKeyscat_municipio[] = "municipio";
$tdatacat_municipio[".Keys"] = $tableKeyscat_municipio;


$tdatacat_municipio[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_municipio";
	$fdata["Label"] = GetFieldLabel("cat_municipio","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_municipio["id"] = $fdata;
		$tdatacat_municipio[".searchableFields"][] = "id";
//	municipio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "municipio";
	$fdata["GoodName"] = "municipio";
	$fdata["ownerTable"] = "cat_municipio";
	$fdata["Label"] = GetFieldLabel("cat_municipio","municipio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "municipio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "municipio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_municipio["municipio"] = $fdata;
		$tdatacat_municipio[".searchableFields"][] = "municipio";


$tables_data["cat_municipio"]=&$tdatacat_municipio;
$field_labels["cat_municipio"] = &$fieldLabelscat_municipio;
$fieldToolTips["cat_municipio"] = &$fieldToolTipscat_municipio;
$placeHolders["cat_municipio"] = &$placeHolderscat_municipio;
$page_titles["cat_municipio"] = &$pageTitlescat_municipio;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_municipio"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cat_municipio"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_municipio()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	municipio";
$proto0["m_strFrom"] = "FROM cat_municipio";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_municipio",
	"m_srcTableName" => "cat_municipio"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_municipio";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "municipio",
	"m_strTable" => "cat_municipio",
	"m_srcTableName" => "cat_municipio"
));

$proto8["m_sql"] = "municipio";
$proto8["m_srcTableName"] = "cat_municipio";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "cat_municipio";
$proto11["m_srcTableName"] = "cat_municipio";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "municipio";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "cat_municipio";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "cat_municipio";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_municipio";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_municipio = createSqlQuery_cat_municipio();


	
		;

		

$tdatacat_municipio[".sqlquery"] = $queryData_cat_municipio;



$tableEvents["cat_municipio"] = new eventsBase;
$tdatacat_municipio[".hasEvents"] = false;

?>